blas_sparse::uscr_insert_clique Interface Reference

inserts a clique More...

## Public Member Functions

subroutine | suscr_insert_clique (a, k, l, val, row_stride, col_stride, indx, jndx, istat)
| Inserts a whole clique in a matrix, assuming this is in build state. By default, duplicate entries will be summed together.
subroutine | duscr_insert_clique (a, k, l, val, row_stride, col_stride, indx, jndx, istat)
| Inserts a whole clique in a matrix, assuming this is in build state. By default, duplicate entries will be summed together.
subroutine | cuscr_insert_clique (a, k, l, val, row_stride, col_stride, indx, jndx, istat)
| Inserts a whole clique in a matrix, assuming this is in build state. By default, duplicate entries will be summed together.
subroutine | zuscr_insert_clique (a, k, l, val, row_stride, col_stride, indx, jndx, istat)
| Inserts a whole clique in a matrix, assuming this is in build state. By default, duplicate entries will be summed together.

## Detailed Description

inserts a clique

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## Member Function/Subroutine Documentation

## cuscr_insert_clique()

subroutine blas_sparse::uscr_insert_clique::cuscr_insert_clique | ( | integer | a,
|  | integer(kind=rsb_blas_idx_kind) | k,
|  | integer(kind=rsb_blas_idx_kind) | l,
|  | complex(kind(1.e0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind) | row_stride,
|  | integer(kind=rsb_blas_idx_kind) | col_stride,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | indx,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | jndx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts a whole clique in a matrix, assuming this is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  k,l | Clique rows and columns count.
  val | Array of values.
  row_stride,col_stride | Row/columns stride in accessing the clique.
  indx,jndx | Row/column indices arrays.

Warning
  Signature of this routine for Fortran does not agree to the standard. This shall be corrected in a future release.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## duscr_insert_clique()

subroutine blas_sparse::uscr_insert_clique::duscr_insert_clique | ( | integer | a,
|  | integer(kind=rsb_blas_idx_kind) | k,
|  | integer(kind=rsb_blas_idx_kind) | l,
|  | real(kind(1.d0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind) | row_stride,
|  | integer(kind=rsb_blas_idx_kind) | col_stride,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | indx,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | jndx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts a whole clique in a matrix, assuming this is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  k,l | Clique rows and columns count.
  val | Array of values.
  row_stride,col_stride | Row/columns stride in accessing the clique.
  indx,jndx | Row/column indices arrays.

Warning
  Signature of this routine for Fortran does not agree to the standard. This shall be corrected in a future release.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## suscr_insert_clique()

subroutine blas_sparse::uscr_insert_clique::suscr_insert_clique | ( | integer | a,
|  | integer(kind=rsb_blas_idx_kind) | k,
|  | integer(kind=rsb_blas_idx_kind) | l,
|  | real(kind(1.e0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind) | row_stride,
|  | integer(kind=rsb_blas_idx_kind) | col_stride,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | indx,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | jndx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts a whole clique in a matrix, assuming this is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  k,l | Clique rows and columns count.
  val | Array of values.
  row_stride,col_stride | Row/columns stride in accessing the clique.
  indx,jndx | Row/column indices arrays.

Warning
  Signature of this routine for Fortran does not agree to the standard. This shall be corrected in a future release.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## zuscr_insert_clique()

subroutine blas_sparse::uscr_insert_clique::zuscr_insert_clique | ( | integer | a,
|  | integer(kind=rsb_blas_idx_kind) | k,
|  | integer(kind=rsb_blas_idx_kind) | l,
|  | complex(kind(1.d0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind) | row_stride,
|  | integer(kind=rsb_blas_idx_kind) | col_stride,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | indx,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | jndx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts a whole clique in a matrix, assuming this is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  k,l | Clique rows and columns count.
  val | Array of values.
  row_stride,col_stride | Row/columns stride in accessing the clique.
  indx,jndx | Row/column indices arrays.

Warning
  Signature of this routine for Fortran does not agree to the standard. This shall be corrected in a future release.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

The documentation for this interface was generated from the following file:

- rsb_blas_sparse.F90